package ru.yandex.autotests.direct.analyzer.svndiff;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by alexey-n on 21.12.14.
 */
public class ChangesBlock {

    private int removeLineNumber;
    private int removeLinesCount;
    private int addLineNumber;
    private int addLinesCount;
    private List<LineType> lines;

    public ChangesBlock() {
        lines = new ArrayList<LineType>();
    }

    public int getRemoveLineNumber() {
        return removeLineNumber;
    }

    public void setRemoveLineNumber(int removeLineNumber) {
        this.removeLineNumber = removeLineNumber;
    }

    public int getRemoveLinesCount() {
        return removeLinesCount;
    }

    public void setRemoveLinesCount(int removeLinesCount) {
        this.removeLinesCount = removeLinesCount;
    }

    public int getAddLineNumber() {
        return addLineNumber;
    }

    public void setAddLineNumber(int addLineNumber) {
        this.addLineNumber = addLineNumber;
    }

    public int getAddLinesCount() {
        return addLinesCount;
    }

    public void setAddLinesCount(int addLinesCount) {
        this.addLinesCount = addLinesCount;
    }

    public void addLine(LineType lineType) {
        lines.add(lineType);
    }

    public List<LineType> getLines() {
        return lines;
    }
}
